<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @packageedu-light
 */

/**
 * edu_light_action_before_head hook
 * @sinceedu-light 1.0.0
 *
 * @hooked edu_light_set_global -  0
 * @hooked edu_light_doctype -  10
 */
do_action( 'edu_light_action_before_head' );?>



<head>

	<?php
	/**
	 * edu_light_action_before_wp_head hook
	 * @sinceedu-light 1.0.0
	 *
	 * @hooked edu_light_before_wp_head -  10
	 */
	do_action( 'edu_light_action_before_wp_head' );

	wp_head();

	/**
	 * edu_light_action_after_wp_head hook
	 * @sinceedu-light 1.0.0
	 *
	 * @hooked null
	 */
	do_action( 'edu_light_action_after_wp_head' );
	?>

</head>

<body <?php body_class(); ?>>


<?php
/**
 * edu_light_action_before hook
 * @sinceedu-light 1.0.0
 *
 * @hooked edu_light_page_start - 15
 */
do_action( 'edu_light_action_before' );

/**
 * edu_light_action_before_header hook
 * @sinceedu-light 1.0.0
 *
 * @hooked edu_light_skip_to_content - 10
 */
do_action( 'edu_light_action_before_header' );

/**
 * edu_light_action_header hook
 * @sinceedu-light 1.0.0
 *
 * @hooked edu_light_after_header - 10
 */
do_action( 'edu_light_action_header' );

/**
 * edu_light_action_nav_page_start hook
 * @sinceedu-light 1.0.0
 *
 * @hooked page start and navigations - 10
 */
do_action( 'edu_light_action_nav_page_start' );

/**
 * edu_light_action_on_header hook
 * @sinceedu-light 1.0.0
 *
 * @hooked page start and navigations - 10
 */
do_action( 'edu_light_action_on_header' );

/**
 * edu_light_action_before_content hook
 * @sinceedu-light 1.0.0
 *
 * @hooked null
 */
do_action( 'edu_light_action_before_content' );

?>


