<?php
global$edu_light_sections;
global$edu_light_settings_controls;
global$edu_light_customizer_defaults;

/*defaults values*/
$edu_light_customizer_defaults['edu-light-site-identity-color'] = '#313131';
$edu_light_customizer_defaults['edu-light-primary-color'] = '#0288d1';
$edu_light_customizer_defaults['edu-light-heading-section-title-color'] = '#000000';
$edu_light_customizer_defaults['edu-light-post-page-title-color'] = '#000000';
$edu_light_customizer_defaults['edu-light-menu-text-color'] = '#000000';
$edu_light_customizer_defaults['edu-light-top-menu-background-color'] = '#1a2431'; 
$edu_light_customizer_defaults['edu-light-color-reset'] = '';



/*Default color*/
$edu_light_sections['colors'] = array(
        'priority'       => 40,
        'title'          => esc_html__( 'Colors Options', 'edu-light' )
    );



/**
 * Reset color settings to default
 *
 * @since edu-light 1.0.0
 */
if ( ! function_exists( 'edu_light_color_reset' ) ) :
    function edu_light_color_reset( ) {
        
        global$edu_light_customizer_saved_values;
        $edu_light_customizer_saved_values = edu_light_get_all_options();
      
        if ( 1 == intval($edu_light_customizer_saved_values['edu-light-color-reset'] ) ) {
            global$edu_light_customizer_defaults;
            /*getting fields*/

            /*setting fields */
           $edu_light_customizer_saved_values['edu-light-site-identity-color']            = $edu_light_customizer_defaults['edu-light-site-identity-color'] ;
           $edu_light_customizer_saved_values['edu-light-primary-color']                  = $edu_light_customizer_defaults['edu-light-primary-color'] ;
           $edu_light_customizer_saved_values['edu-light-heading-section-title-color']     = $edu_light_customizer_defaults['edu-light-heading-section-title-color'];
           $edu_light_customizer_saved_values['edu-light-post-page-title-color']          = $edu_light_customizer_defaults['edu-light-post-page-title-color'];
           $edu_light_customizer_saved_values['edu-light-top-menu-background-color']          = $edu_light_customizer_defaults['edu-light-top-menu-background-color'];
           $edu_light_customizer_saved_values['edu-light-menu-text-color']                = $edu_light_customizer_defaults['edu-light-menu-text-color'];
          
            remove_theme_mod( 'background_color' );
           $edu_light_customizer_saved_values['edu-light-color-reset']                    = '';

            /*resetting fields*/
            edu_light_reset_options($edu_light_customizer_saved_values );
        }
        else {
            return '';
        }
    }
endif;
add_action( 'customize_save_after','edu_light_color_reset' );




$edu_light_settings_controls['edu-light-site-identity-color'] = array(
    'setting' =>  array(
        'default'  => $edu_light_customizer_defaults['edu-light-site-identity-color'],
    ),
    'control' => array(
        'label'                 =>  esc_html__( 'Site Identity Color', 'edu-light' ),
        'description'           =>  esc_html__( 'Site title and tagline color', 'edu-light' ),
        'section'               => 'colors',
        'type'                  => 'color',
        'priority'              => 20,
        'active_callback'       => ''
    )
);

$edu_light_settings_controls['edu-light-primary-color'] = array(
    'setting' => array(
        'default' => $edu_light_customizer_defaults['edu-light-primary-color'],
    ),
    'control' => array(
        'label'                 =>  esc_html__( 'Primary Color', 'edu-light' ),
        'section'               => 'colors',
        'type'                  => 'color',
        'priority'              => 30,
        'active_callback'       => ''
    )
);

$edu_light_settings_controls['edu-light-top-menu-background-color'] = array(
    'setting' => array(
        'default' => $edu_light_customizer_defaults['edu-light-top-menu-background-color'],
    ),
    'control' => array(
        'label'                 =>  esc_html__( 'Top Menu background Color', 'edu-light' ),
        'section'               => 'colors',
        'type'                  => 'color',
        'priority'              => 35,
        'active_callback'       => ''
    )
);

$edu_light_settings_controls['edu-light-menu-text-color'] = array(
    'setting' => array(
        'default' => $edu_light_customizer_defaults['edu-light-menu-text-color'],
    ),
    'control' => array(
        'label'                 =>  esc_html__( 'Menu text Color', 'edu-light' ),
        'section'               => 'colors',
        'type'                  => 'color',
        'priority'              => 40,
        'active_callback'       => ''
    )
);

$edu_light_settings_controls['edu-light-heading-section-title-color'] = array(
    'setting' => array(
        'default' => $edu_light_customizer_defaults['edu-light-heading-section-title-color'],
    ),
    'control' => array(
        'label'                 =>  esc_html__( 'Section Heading Title Color', 'edu-light' ),
        'section'               => 'colors',
        'type'                  => 'color',
        'priority'              => 45,
        'active_callback'       => ''
    )
);

$edu_light_settings_controls['edu-light-post-page-title-color'] = array(
    'setting' => array(
        'default' => $edu_light_customizer_defaults['edu-light-post-page-title-color'],
    ),
    'control' => array(
        'label'                 =>  esc_html__( 'Post Page Title Color', 'edu-light' ),
        'section'               => 'colors',
        'type'                  => 'color',
        'priority'              => 50,
        'active_callback'       => ''
    )
);



$edu_light_settings_controls['edu-light-color-reset'] = array(
    'setting' => array(
        'default'   => $edu_light_customizer_defaults['edu-light-color-reset'],
        'transport'            => 'postmessage',
    ),
    'control' => array(
        'label'                 =>  esc_html__( 'Reset', 'edu-light' ),
        'description'           =>  esc_html__( 'Caution: Reset all color settings above to default. Refresh the page after saving to view the effects', 'edu-light' ),
        'section'               => 'colors',
        'type'                  => 'checkbox',
        'priority'              => 220,
        'active_callback'       => ''
    )
);