<?php
global $edu_light_panels;
global $edu_light_sections;
global $edu_light_settings_controls;
global $edu_light_repeated_settings_controls;
global $edu_light_customizer_defaults;

// defaults value
$edu_light_customizer_defaults['edu-light-call-to-action-enable'] = 0;
$edu_light_customizer_defaults['edu-light-call-to-action-single-word'] = 25;
$edu_light_customizer_defaults['edu-light-call-to-action-icon'] = esc_html__('fa fa-users','edu-light');
$edu_light_customizer_defaults['edu-light-call-to-action-title-text'] = esc_html__('4000+ People Already Joined To Our Club','edu-light');
$edu_light_customizer_defaults['edu-light-call-to-action-text'] = esc_html__('JOIN US','edu-light'); 
$edu_light_customizer_defaults['edu-light-call-to-action-url'] = '#';

$edu_light_sections['edu-light-call-to-action-section'] =
    array(
        'priority'       =>   40,
        'title'          =>   esc_html__( 'Call-To-Action-Section', 'edu-light' ),
        'panel'             =>'edu-light-main-homepage-panel',
    );


/*Feature section enable control*/
$edu_light_settings_controls['edu-light-call-to-action-enable'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-call-to-action-enable']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Enable Call To Action', 'edu-light' ),
            'section'               =>   'edu-light-call-to-action-section',
            'description'           =>   esc_html__( 'Enable "Single Button" on checked' , 'edu-light' ),
            'type'                  =>   'checkbox',
            'priority'              =>   10,
            'active_callback'       =>   ''
        )
    );

$edu_light_settings_controls['edu-light-call-to-action-single-word'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-call-to-action-single-word']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Call To Number Of Words', 'edu-light' ),
            'description'           =>    esc_html__( 'If you do not have selected from - Custom', 'edu-light' ),
            'section'               =>   'edu-light-call-to-action-section',
            'type'                  =>   'number',
            'priority'              =>   20,
            'active_callback'       =>   '',
            'input_attrs' =>   array( 'min' =>   1, 'max' =>   200),
        )
    );

$edu_light_settings_controls['edu-light-call-to-action-icon'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-call-to-action-icon']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Icon Text', 'edu-light' ),
            /* translators: %s: search font icon */
            'description'           =>   sprintf( esc_html__( 'Use font awesome icon: Eg: %1$s . %2$s See more here %3$s', 'edu-light' ), 'fa-users','<a href="'.esc_url('http://fontawesome.io/cheatsheet/').'" target="_blank">','</a>' ),
            'section'               =>   'edu-light-call-to-action-section',
            'type'                  =>   'text',
            'priority'              =>   30,
            'active_callback'       =>   ''
        )
    );

$edu_light_settings_controls['edu-light-call-to-action-title-text'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-call-to-action-title-text']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Title Text', 'edu-light' ),
            'section'               =>   'edu-light-call-to-action-section',
            'type'                  =>   'textarea',
            'priority'              =>   40,
            'active_callback'       =>   ''
        )
    );

$edu_light_settings_controls['edu-light-call-to-action-text'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-call-to-action-text']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Button Text', 'edu-light' ),
            'section'               =>   'edu-light-call-to-action-section',
            'type'                  =>   'text',
            'priority'              =>   50,
            'active_callback'       =>   ''
        )
    );

$edu_light_settings_controls['edu-light-call-to-action-url'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-call-to-action-url']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Button Url', 'edu-light' ),
            'section'               =>   'edu-light-call-to-action-section',
            'type'                  =>   'url',
            'priority'              =>   60,
            'active_callback'       =>   ''
        )
    );