<?php
global $edu_light_panels;
global $edu_light_sections;
global $edu_light_settings_controls;
global $edu_light_repeated_settings_controls;
global $edu_light_customizer_defaults;

// defaults value
$edu_light_customizer_defaults['edu-light-service-enable'] = 0;
$edu_light_customizer_defaults['edu-light-service-title-text'] = esc_html__('What Do You Want To Study?','edu-light');
$edu_light_customizer_defaults['edu-light-service-single-number-words'] =  25;
$edu_light_customizer_defaults['edu-light-service-select_number-page']  = 4;
$edu_light_customizer_defaults['edu-light-service-page']	= 0;
$edu_light_customizer_defaults['edu-light-service-button-text']	= esc_html__('Know More','edu-light');

// create a section for 
$edu_light_sections['edu-light-service-section'] = 
	array(
		'title'					=> esc_html__('Service-Section','edu-light'),
		'panel'					=> 'edu-light-main-homepage-panel',
		'priority'				=> 50
	);

// enable option for service
$edu_light_settings_controls['edu-light-service-enable'] =
	array(
		'setting'						=> array(
			'default'					=> $edu_light_customizer_defaults['edu-light-service-enable']
		),
		'control'						=> array(
			'label'						=> esc_html__('Enable Service','edu-light'),
			'section'					=> 'edu-light-service-section',
			'type'						=> 'checkbox',
			'active_callback'			=> '',
			'priority'					=> 10
		)
	);

$edu_light_settings_controls['edu-light-service-title-text'] =
	array(
		'setting'						=> array(
			'default'					=> $edu_light_customizer_defaults['edu-light-service-title-text']
		),
		'control'						=> array(
			'label'						=> esc_html__(' Service Title Text','edu-light'),
			'section'					=> 'edu-light-service-section',
			'type'						=> 'text',
			'active_callback'			=> '',
			'priority'					=> 15
		)
	);

$edu_light_settings_controls['edu-light-service-single-number-words'] =
	array(
		'setting'						=> array(
			'default'					=> $edu_light_customizer_defaults['edu-light-service-single-number-words']
		),
		'control'						=> array(
			'label'						=> esc_html__('Single Number Of word -Service','edu-light'),
			'section'					=> 'edu-light-service-section',
			'type'						=> 'number',
			'input_attr'				=> array('min' => 1, 'max' => 30),
			'active_callback'			=> '',
			'priority'					=> 20
		)
	);	

$edu_light_repeated_settings_controls['edu-light-service-page'] =
	array(
		'repeated'						=> 4,
		'edu-light-page-ids'		=> array(
			'setting'						=> array(
			'default'					=> $edu_light_customizer_defaults['edu-light-service-page']
		),
			'control'						=> array(
				/* translators: %s: search term */
				'label'						=> esc_html__('Select page for Service %s','edu-light'),
				'section'					=> 'edu-light-service-section',
				'type'						=> 'dropdown-pages',
				'active_callback'			=> '',
				'priority'					=> 30
			)
		),
		
	);	

$edu_light_settings_controls['edu-light-service-button-text'] =
	array(
		'setting'						=> array(
			'default'					=> $edu_light_customizer_defaults['edu-light-service-button-text']
		),
		'control'						=> array(
			'label'						=> esc_html__('Button Text','edu-light'),
			'section'					=> 'edu-light-service-section',
			'type'						=> 'text',
			'active_callback'			=> '',
			'priority'					=> 40
		)
	);	