<?php
global $edu_light_sections;
global $edu_light_settings_controls;
global $edu_light_repeated_settings_controls;
global $edu_light_customizer_defaults;

/*defaults values*/
$edu_light_customizer_defaults['edu-light-enable-static-page']          = 1;
$edu_light_customizer_defaults['edu-light-search-button-enable-option'] = 0;
$edu_light_customizer_defaults['edu-light-alternate-layout']            = 1;
$edu_light_customizer_defaults['edu-light-default-layout']              = 'right-sidebar';
$edu_light_customizer_defaults['edu-light-single-post-image-align']     = 'full';
$edu_light_customizer_defaults['edu-light-number-of-words']                 = 35;
$edu_light_customizer_defaults['edu-light-archive-layout']              = 'thumbnail-and-excerpt';
$edu_light_customizer_defaults['edu-light-archive-image-align']         = 'full';
$edu_light_customizer_defaults['edu-light-default-banner-image'] = get_template_directory_uri().'/assets/images/edu.jpg';

$edu_light_sections['edu-light-layout-options'] =
    array(
        'priority'       => 20,
        'title'          => esc_html__( 'Layout Options', 'edu-light' ),
        'panel'          => 'edu-light-theme-options',
    );

    /*home page static page display*/
$edu_light_settings_controls['edu-light-enable-static-page'] =
    array(
        'setting' =>     array(
            'default'              => $edu_light_customizer_defaults['edu-light-enable-static-page'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Static Front Page', 'edu-light' ),
            'description'           =>  esc_html__( 'If you disable this the static page will be disappera form the home page and other section from customizer will reamin as it is', 'edu-light' ),
            'section'               => 'edu-light-layout-options',
            'type'                  => 'checkbox',
            'priority'              => 10,
        )
    );

// banner image option
$edu_light_settings_controls['edu-light-default-banner-image'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-default-banner-image']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Default Banner Image', 'edu-light' ),
            'description'           =>    esc_html__( 'Please note that if you remove this image default banner image will appear', 'edu-light' ),
            'section'               =>   'edu-light-layout-options',
            'type'                  =>   'image',
            'priority'              =>   15,
            'active_callback'       =>   ''
        )
    );


/*layout-options option responsive lodader start*/

$edu_light_settings_controls['edu-light-default-layout'] =
    array(
        'setting' =>     array(
            'default'              => $edu_light_customizer_defaults['edu-light-default-layout'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Default Layout', 'edu-light' ),
            'description'           =>  esc_html__( 'Please note that this section can be overridden for individual page/posts', 'edu-light' ),
            'section'               => 'edu-light-layout-options',
            'type'                  => 'select',
            'choices'               => array(
                'right-sidebar' => esc_html__( 'Content - Primary Sidebar', 'edu-light' ),
                'left-sidebar'  => esc_html__( 'Primary Sidebar - Content', 'edu-light' ),
                'no-sidebar'    => esc_html__( 'No Sidebar', 'edu-light' )
            ),
            'priority'              => 10,
            'active_callback'       => ''
        )
    );


$edu_light_settings_controls['edu-light-single-post-image-align'] =
    array(
        'setting' =>     array(
            'default'              => $edu_light_customizer_defaults['edu-light-single-post-image-align'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Alignment Of Image In Single Post/Page', 'edu-light' ),
            'section'               => 'edu-light-layout-options',
            'type'                  => 'select',
            'choices'               => array(
                'full'      => esc_html__( 'Full', 'edu-light' ),
                'right'     => esc_html__( 'Right', 'edu-light' ),
                'left'      => esc_html__( 'Left', 'edu-light' ),
                'no-image'  => esc_html__( 'No image', 'edu-light' )
            ),
            'priority'              => 40,
            'description'           =>  esc_html__( 'Please note that this setting can be override from individual post/page', 'edu-light' ),
        )
    );


    $edu_light_settings_controls['edu-light-number-of-words'] =
    array(
        'setting' =>       array(
            'default'              =>   $edu_light_customizer_defaults['edu-light-number-of-words']
        ),
        'control' =>   array(
            'label'                 =>    esc_html__( 'Number Of Words For Excerpt', 'edu-light' ),
            'description'           =>    esc_html__( 'This will controll the excerpt length on listing page', 'edu-light' ),
            'section'               =>   'edu-light-layout-options',
            'type'                  =>   'number',
            'input_attrs'           =>   array( 'min' => 1, 'max' => 200 ),
            'priority'              =>   40,
            'active_callback'       =>   ''
        )
    );


        $edu_light_settings_controls['edu-light-archive-layout'] =
            array(
                'setting' =>     array(
                    'default'              => $edu_light_customizer_defaults['edu-light-archive-layout'],
                ),
                'control' => array(
                    'label'                 =>  esc_html__( 'Archive Layout', 'edu-light' ),
                    'section'               => 'edu-light-layout-options',
                    'type'                  => 'select',
                    'choices'               => array(
                        'excerpt-only' => esc_html__( 'Excerpt Only', 'edu-light' ),
                        'thumbnail-and-excerpt' => esc_html__( 'Thumbnail and Excerpt', 'edu-light' ),
                        'full-post' => esc_html__( 'Full Post', 'edu-light' ),
                        'thumbnail-and-full-post' => esc_html__( 'Thumbnail and Full Post', 'edu-light' ),
                    ),
                    'priority'              => 55,
                )
            );