<?php
if ( ! function_exists( 'edu_light_before_footer' ) ) :
    /**
     * Footer content
     *
     * @since edu-light 1.0.0
     *
     * @param null
     * @return false | void
     *
     */
    function edu_light_before_footer() {
    ?>
        </div><!-- #content -->
    <!-- </div>
    </section> -->
    <?php do_action( 'edu_light_show_message_if_no_option_selected' );?>
        <!-- *****************************************
             Footer section starts
    ****************************************** -->
    <footer class="main-footer">
    <?php
    }
endif;
add_action( 'edu_light_action_before_footer', 'edu_light_before_footer', 10 );

if ( ! function_exists( 'edu_light_widget_before_footer' ) ) :
    /**
     * Footer content
     *
     * @since edu-light 1.0.0
     *
     * @param null
     * @return false | void
     *
     */
    function edu_light_widget_before_footer() {
        global $edu_light_customizer_all_values;
        $edu_light_footer_widgets_number = $edu_light_customizer_all_values['edu-light-footer-sidebar-number'];
        if( !is_active_sidebar( 'footer-col-one' ) && !is_active_sidebar( 'footer-col-two' ) && !is_active_sidebar( 'footer-col-three' ) && !is_active_sidebar( 'footer-col-four' ) ){
            return false;
        }
        if( 1 == $edu_light_footer_widgets_number ){
                $col = 'col-md-12';
            }
        elseif( 2 == $edu_light_footer_widgets_number ){
            $col = 'col-md-6 col-sm-6 col-xs-12';
        }
        elseif( 3 == $edu_light_footer_widgets_number ){
            $col = 'col-md-4 col-sm-4 col-xs-12';
        }        
        else{
            $col = 'col-md-4 col-sm-4 col-xs-12';
        }
        ?>
        <!-- footer widget -->
        <section class="footer wrapper">
            <div class="container">
                <div class="row">
                     <?php if( is_active_sidebar( 'footer-col-one' ) && $edu_light_footer_widgets_number > 0 ) : ?>
                        <div class="contact-list <?php echo esc_attr( $col );?>">
                            <?php dynamic_sidebar( 'footer-col-one' ); ?>
                        </div>
                    <?php endif; ?>
                    <?php if( is_active_sidebar( 'footer-col-two' ) && $edu_light_footer_widgets_number > 1 ) : ?>
                        <div class="contact-list <?php echo esc_attr( $col );?>">
                            <?php dynamic_sidebar( 'footer-col-two' ); ?>
                        </div>
                    <?php endif; ?>
                    <?php if( is_active_sidebar( 'footer-col-three' ) && $edu_light_footer_widgets_number > 2 ) : ?>
                        <div class="contact-list <?php echo esc_attr( $col );?>">
                            <?php dynamic_sidebar( 'footer-col-three' ); ?>
                        </div>
                    <?php endif; ?>
                    <?php if( is_active_sidebar( 'footer-col-four' ) && $edu_light_footer_widgets_number > 3 ) : ?>
                        <div class="contact-list <?php echo esc_attr( $col );?>">
                            <?php dynamic_sidebar( 'footer-col-four' ); ?>
                        </div>
                    <?php endif; ?>
                    
                </div>
            </div>
        </section>
    <?php
    }
endif;
add_action( 'edu_light_action_widget_before_footer', 'edu_light_widget_before_footer', 10 );

if ( ! function_exists( 'edu_light_footer' ) ) :
    /**
     * Footer content
     *
     * @since edu-light 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function edu_light_footer() {
        global $edu_light_customizer_all_values;
        ?> 
        <!-- footer site info -->
       
        <section class="footer-site-info clearfix">
            <div class="site-info col-md-12">
                <!-- footer site info -->
                <div class="copy-right text-center"> 
                    <?php
                        if(isset($edu_light_customizer_all_values['edu-light-copyright-text'])){
                            echo wp_kses_post( $edu_light_customizer_all_values['edu-light-copyright-text'] );
                        }
                        ?>
                        <?php
                         if( 1 == $edu_light_customizer_all_values['edu-light-enable-theme-name']){
                            ?>
                            <span class="sep"> | </span>
                            <?php /* translators: %s: search term */ ?>
                            <?php printf( esc_html__( 'Theme: %1$s by %2$s', 'edu-light' ), 'Edu Light', sprintf('<a href="%s" target = "_blank" rel="designer">%s</a>', esc_url( 'http://evisionthemes.com/' ), esc_html__( 'eVisionThemes', 'edu-light' ) )  ); ?>
                            <?php
                        }
                        ?>
                </div> 
            </div>      
        </section><!-- site-info -->
        
    <!-- *****************************************
             Footer section ends
    ****************************************** -->
    <?php
    }
endif;
add_action( 'edu_light_action_footer', 'edu_light_footer', 10 );

if ( ! function_exists( 'edu_light_page_end' ) ) :
    /**
     * Page end
     *
     * @since edu-light 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function edu_light_page_end() {
    global $edu_light_customizer_all_values;
     if( 1 == $edu_light_customizer_all_values['edu-light-enable-back-to-top']) {
        ?>
            <a href="javascript:" id="return-to-top"><i class="fa fa-chevron-up"></i></a>
        <?php
        } ?>
    </div><!-- #page -->
    <?php }
endif;
add_action( 'edu_light_action_after', 'edu_light_page_end', 10 );