<?php

if ( !function_exists('edu_light_service_array') ) :
	/**
     * edu-light service
     *
     * @since edu-light 1.0.0
     *
     * @param null
     * @return null
     *
     */
	function edu_light_service_array()
	{
		global $edu_light_customizer_all_values;
		$edu_light_service_single_words = absint($edu_light_customizer_all_values['edu-light-service-single-number-words']);
		$edu_light_service_select_number_page = absint($edu_light_customizer_all_values['edu-light-service-select_number-page']);
		$edu_light_service_content_arrya = array();

		$edu_light_service_content_arrya[1]['service-title'] = '';
		$edu_light_service_content_arrya[1]['service-content'] = '';
		$edu_light_service_content_arrya[1]['service-image'] = '';
		$edu_light_service_content_arrya[1]['service-link'] = '#';

		$repeated_pages = array('edu-light-page-ids');
		$edu_light_service_post = evision_customizer_get_repeated_all_value(4,$repeated_pages);
		$edu_light_pages_id = array();

		if ( null != $edu_light_service_post )
		{
			foreach ( $edu_light_service_post as $edu_light_service_posts )
			{
				if ( 0 != $edu_light_service_posts['edu-light-page-ids'] )
				{
					$edu_light_pages_id[] = $edu_light_service_posts['edu-light-page-ids'];
				}
			}

			if ( !empty($edu_light_pages_id) )
			{
				$eductaion_service_args = array(
					'post_type'			=> 'page',
					'posts_per_apge'	=> absint($edu_light_service_select_number_page),
					'post__in'			=> array_map('absint',$edu_light_pages_id ),
					'orderby'			=> 'post__in'
				);
			}
		}
		if ( !empty($eductaion_service_args) )
		{
			$edu_light_service_content_arrya =array();
			// query start here
			$edu_light_service_query = new WP_Query($eductaion_service_args);
			if ( $edu_light_service_query -> have_posts() ) :
				$i =1;
				while( $edu_light_service_query -> have_posts() ) :
					$edu_light_service_query-> the_post();

					$edu_light_service_content_arrya[$i]['service-title'] = get_the_title();
					if ( has_excerpt() )
					{
						$edu_light_service_content_arrya[$i]['service-content'] = get_the_excerpt();
					}
					else
					{
						$edu_light_service_content_arrya[$i]['service-content'] = edu_light_words_count($edu_light_service_single_words,get_the_content());
					}
					$images = '';
    				if ( has_post_thumbnail() )
    				{
    					$thumb =  wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'edu-light-service-image' );
    					$images = $thumb['0'];
    				}
    				
		            $edu_light_service_content_arrya[$i]['service-image'] =  $images;
		            $edu_light_service_content_arrya[$i]['service-link'] = get_permalink();
					$i++;
				endwhile;
				wp_reset_postdata();
			endif;
		}
		return $edu_light_service_content_arrya;
	}
endif;


if ( !function_exists('edu_light_service') ) :
	/**
     * edu-light service
     *
     * @since edu-light 1.0.0
     *
     * @param null
     * @return null
     *
     */
	function edu_light_service()
	{
		global $edu_light_customizer_all_values;

		if ( 1 != $edu_light_customizer_all_values['edu-light-service-enable'] )
		{
			return null;
		}
		$edu_light_service_post_array = edu_light_service_array();
		if ( is_array($edu_light_service_post_array) )
		{
			$edu_light_service_single_words = $edu_light_customizer_all_values['edu-light-service-single-number-words'];
			$edu_light_service_select_number_page = $edu_light_customizer_all_values['edu-light-service-select_number-page'];
			$edu_light_service_main_title_text = $edu_light_customizer_all_values['edu-light-service-title-text'];
			$edu_light_service_button_text = $edu_light_customizer_all_values['edu-light-service-button-text'];?>
			<section class="service-section wrapper clearfix">
				<div class="container">
					<div class="row">
						<h2><?php echo esc_html($edu_light_service_main_title_text);?></h2>
						<div class="divider centre"></div><!-- line after heading -->
						<?php 
							$i =1;
							foreach ($edu_light_service_post_array as $edu_light_service_post_arrays)
							{
								if ( $edu_light_service_select_number_page < $i)
								{
									break;
								}
								if(empty($edu_light_service_post_arrays['service-image']))
                                    {
                                        $edu_light_about_us_image = get_template_directory_uri().'/assets/images/edu.jpg';
                                    }
                                    else
                                    {
                                        $edu_light_about_us_image =$edu_light_service_post_arrays['service-image'];
                                    }
							?>
						<div class="col-md-6 col-lg-6 col-sm-6 col-xs-12">
							<div class="service-image">
								<div class="image">
									<img src="<?php echo esc_url($edu_light_about_us_image); ?>" class="img-responsive" alt="<?php echo esc_html($edu_light_service_post_arrays['service-title']); ?>">
								</div>		
								<div class="btn-and-header">
									<h3><?php echo esc_html($edu_light_service_post_arrays['service-title']); ?></h3>
									<div class="service-description-wrapper clear">
										<p><?php echo wp_kses_post($edu_light_service_post_arrays['service-content']); ?></p>
										<?php if (!empty($edu_light_service_button_text) ) { ?>
										<a href="<?php echo esc_url($edu_light_service_post_arrays['service-link']);?>" class="border-only"><?php echo esc_html($edu_light_service_button_text);?>								
										</a>
										<?php } ?>
										</div><!--service-description-wrapper -->
								</div><!--btn-and-header -->
							</div><!-- service image -->
						</div><!-- col -->		
						<?php }
						?>
					</div><!-- row -->
				</div><!-- container -->
			</section><!-- service section -->
		<?php }
	}
endif;

add_action('edu_light_homepage','edu_light_service',50);