<?php

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function edu_light_widgets_init() {
    register_sidebar( array(
        'name'          => esc_html__( 'Sidebar', 'edu-light' ),
        'id'            => 'sidebar-1',
        'description'   => '',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget'  => '</section>',
        'before_title'  => '<h2 class="widget-title">',
        'after_title'   => '</h2>',
    ) );

    $edu_light_get_all_options = edu_light_get_all_options( absint( 1 ) );
    $edu_light_footer_widgets_number = $edu_light_get_all_options['edu-light-footer-sidebar-number'];

    if( $edu_light_footer_widgets_number > absint( 0 ) ){
        register_sidebar(array(
            'name' => esc_html__( 'Footer Column One', 'edu-light' ),
            'id' => 'footer-col-one',
            'description' => esc_html__( 'Displays items on footer section.', 'edu-light' ),
            'before_widget' => '<aside id="%1$s" class="widget %2$s">',
            'after_widget' => '</aside>',
            'before_title'  => '<h2 class="widget-title">',
            'after_title'   => '</h2>',
        ));
        if( $edu_light_footer_widgets_number > absint( 1 ) ){
            register_sidebar(array(
                'name' => esc_html__( 'Footer Column Two', 'edu-light' ),
                'id' => 'footer-col-two',
                'description' => esc_html__( 'Displays items on footer section.','edu-light' ),
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title'  => '<h2 class="widget-title">',
                'after_title'   => '</h2>',
            ));
        }
        if( $edu_light_footer_widgets_number > absint( 2 ) ){
            register_sidebar(array(
                'name' => esc_html__( 'Footer Column Three', 'edu-light' ),
                'id' => 'footer-col-three',
                'description' => esc_html__( 'Displays items on footer section.', 'edu-light' ),
                'before_widget' => '<aside id="%1$s" class="widget %2$s">',
                'after_widget' => '</aside>',
                'before_title'  => '<h2 class="widget-title">',
                'after_title'   => '</h2>',
            ));
        }
        
        
    }
}
add_action( 'widgets_init', 'edu_light_widgets_init' );