<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package business_craft
 */
global $edu_light_customizer_all_values;

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
			if ( is_single() )
			{
			}
			else
			{
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			}

			if ( 'post' === get_post_type() ) : ?>
				<div class="entry-meta">
					
				</div><!-- .entry-meta -->
				<?php
			endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
		$edu_light_archive_layout = $edu_light_customizer_all_values['edu-light-archive-layout'];
		$edu_light_archive_image_align = $edu_light_customizer_all_values['edu-light-archive-image-align'];

		$edu_light_single_image_align = get_post_meta( get_the_ID(), 'edu-light-single-post-image-align', true );
		
		/**
		 * condition for checkking image position
		 * if false then take global theme option value
		 */ 
        if( !$edu_light_single_image_align ) {

			$edu_light_single_image_align = $edu_light_customizer_all_values['edu-light-single-post-image-align'];
        }

		if ( 'excerpt-only' == $edu_light_archive_layout ) {
			the_excerpt();
		} elseif ( 'full-post' == $edu_light_archive_layout ) {
			the_content( sprintf(
			/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'edu-light' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
		} elseif ( 'thumbnail-and-full-post' == $edu_light_archive_layout ) {

			if ( 'full' == $edu_light_archive_image_align ) {
				echo "<div class='image-full'>";
				the_post_thumbnail('full');
			} else {
				echo "<div class='image-" . esc_url($edu_light_archive_image_align) . "'>";
				the_post_thumbnail('medium');
			}
			
			echo "</div>";/*div end*/
			the_content( sprintf(
			/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'edu-light' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );
		} else {
			
			if ( 'full' == $edu_light_single_image_align ) {
				echo "<div class='image-full'>";
				the_post_thumbnail('full');
				echo "</div>";
			} elseif ( 'left' == $edu_light_single_image_align || 'right' == $edu_light_single_image_align ) {
				
				echo "<div class='image-" . esc_url($edu_light_single_image_align) . "'>";
				the_post_thumbnail('medium');
				echo "</div>";
			}
			/*div end*/
			the_excerpt();
		}
		?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'edu-light' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php edu_light_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
